Bug 316495 - google contact resource crashes after creating new conact.
Summary: google contact resource crashes after creating new conact.
Status: RESOLVED FIXED
Alias: None
Product: Akonadi
Classification: Frameworks and Libraries
Component: Google Resource (show other bugs)
Version: 4.10
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Daniel Vrátil
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-10 22:36 UTC by Luis Silva
Modified: 2013-03-11 08:44 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Luis Silva 2013-03-10 22:36:40 UTC
Application: akonadi_googlecontacts_resource (4.10)
KDE Platform Version: 4.10.1 (Compiled from sources)
Qt Version: 4.8.4
Operating System: Linux 3.8.0-11-generic i686
Distribution: Ubuntu Raring Ringtail (development branch)

-- Information about the crash:
- What I was doing when the application crashed:
I created a new contact in my google account. Since then, the resource crashes every time it is accessed.

The crash can be reproduced every time.

-- Backtrace:
Application: Google Contacts (lacsilva@gmail.com) of type Google Contacts (akonadi_googlecontacts_resource), signal: Aborted
Using host libthread_db library "/lib/i386-linux-gnu/libthread_db.so.1".
[KCrash Handler]
#7  0xb772e424 in __kernel_vsyscall ()
#8  0xb5b31b1f in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
#9  0xb5b350b3 in __GI_abort () at abort.c:90
#10 0xb71427fc in qt_message_output (msgType=QtFatalMsg, buf=0x8443140 "ASSERT: \"createJob->items().count() == 1\" in file /home/lacsilva/Development/kdepim.d/kdepim-runtime/resources/google/contacts/contactsresource.cpp, line 532") at global/qglobal.cpp:2347
#11 0xb7142c09 in qt_message (msgType=QtFatalMsg, msg=0xb72cca98 "ASSERT: \"%s\" in file %s, line %d", ap=0xbfae0a74 "\344[\006\b\200[\006\b\024\002") at global/qglobal.cpp:2393
#12 0xb7142d28 in qFatal (msg=msg@entry=0xb72cca98 "ASSERT: \"%s\" in file %s, line %d") at global/qglobal.cpp:2576
#13 0xb7142db5 in qt_assert (assertion=0x8065be4 "createJob->items().count() == 1", file=0x8065b80 "/home/lacsilva/Development/kdepim.d/kdepim-runtime/resources/google/contacts/contactsresource.cpp", line=532) at global/qglobal.cpp:2021
#14 0x080550fc in ContactsResource::slotCreateJobFinished (this=0x82915c8, job=0x82bbbd0) at /home/lacsilva/Development/kdepim.d/kdepim-runtime/resources/google/contacts/contactsresource.cpp:532
#15 0x08050ece in ContactsResource::qt_static_metacall (_o=0x82915c8, _c=QMetaObject::InvokeMetaMethod, _id=16, _a=0xbfae0c38) at /home/lacsilva/Development/kdepim.d/kdepim-runtime/BUILD/resources/google/contacts/moc_contactsresource.cpp:110
#16 0xb7276b56 in QMetaObject::activate (sender=0x82bbbd0, m=0xb6d985b8 <KGAPI2::Job::staticMetaObject>, local_signal_index=0, argv=0xbfae0c38) at kernel/qobject.cpp:3539
#17 0xb6cf2d35 in KGAPI2::Job::finished (this=0x82bbbd0, _t1=0x82bbbd0) at /home/lacsilva/Development/kdepim.d/libkgoogle/BUILD/libkgapi2/job.moc:151
#18 0xb6cf2d62 in KGAPI2::Job::Private::_k_doEmitFinished (this=0x82c6f20) at /home/lacsilva/Development/kdepim.d/libkgoogle/libkgapi2/job.cpp:92
#19 0xb6cf5b9f in KGAPI2::Job::qt_static_metacall (_o=0x82bbbd0, _c=QMetaObject::InvokeMetaMethod, _id=3, _a=0x826e4e8) at /home/lacsilva/Development/kdepim.d/libkgoogle/BUILD/libkgapi2/job.moc:72
#20 0xb7272b4a in QMetaCallEvent::placeMetaCall (this=0x84434a8, object=0x82bbbd0) at kernel/qobject.cpp:524
#21 0xb727c48b in QObject::event (this=0x82bbbd0, e=0x84434a8) at kernel/qobject.cpp:1194
#22 0xb5ef6c7c in QApplicationPrivate::notify_helper (this=0x8173528, receiver=0x82bbbd0, e=0x84434a8) at kernel/qapplication.cpp:4567
#23 0xb5ef9b94 in QApplication::notify (this=0x84434a8, receiver=0x82bbbd0, e=0x84434a8) at kernel/qapplication.cpp:3949
#24 0xb6a6fd01 in KApplication::notify (this=0xbfae1454, receiver=0x82bbbd0, event=0x84434a8) at ../../kdeui/kernel/kapplication.cpp:311
#25 0xb726090e in QCoreApplication::notifyInternal (this=0xbfae1454, receiver=0x82bbbd0, event=0x84434a8) at kernel/qcoreapplication.cpp:946
#26 0xb7264721 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#27 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x81482c8) at kernel/qcoreapplication.cpp:1570
#28 0xb7264a8c in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1463
#29 0xb7292aa4 in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#30 postEventSourceDispatch (s=0x81732c0) at kernel/qeventdispatcher_glib.cpp:279
#31 0xb54bc2f3 in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
#32 0xb54bc690 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#33 0xb54bc771 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#34 0xb7292c21 in QEventDispatcherGlib::processEvents (this=0x8152ee0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#35 0xb5fada5a in QGuiEventDispatcherGlib::processEvents (this=0x8152ee0, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#36 0xb725f3ec in QEventLoop::processEvents (this=this@entry=0xbfae13b8, flags=...) at kernel/qeventloop.cpp:149
#37 0xb725f6e1 in QEventLoop::exec (this=0xbfae13b8, flags=...) at kernel/qeventloop.cpp:204
#38 0xb72653fa in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1218
#39 0xb5ef4fc4 in QApplication::exec () at kernel/qapplication.cpp:3828
#40 0xb75b3f53 in Akonadi::ResourceBase::init (r=0x82915c8) at /home/lacsilva/Development/kdepim.d/kdepimlibs/akonadi/resourcebase.cpp:452
#41 0x0805b7d0 in Akonadi::ResourceBase::init<ContactsResource> (argc=argc@entry=3, argv=argv@entry=0xbfae1534) at /usr/include/KDE/Akonadi/../../akonadi/resourcebase.h:191
#42 0x0805b75b in main (argc=3, argv=0xbfae1534) at /home/lacsilva/Development/kdepim.d/kdepim-runtime/resources/google/contacts/contactsresource.cpp:559

Possible duplicates by query: bug 313194, bug 313047, bug 312308, bug 312093, bug 311441.

Reported using DrKonqi
Comment 1 Daniel Vrátil 2013-03-11 08:44:56 UTC
Git commit 65504945dee73105a74f615b4309190d98afd980 by Dan Vrátil.
Committed on 11/03/2013 at 09:44.
Pushed by dvratil into branch 'master'.

Handle job error when creating new a contact

M  +4    -0    resources/google/contacts/contactsresource.cpp

http://commits.kde.org/kdepim-runtime/65504945dee73105a74f615b4309190d98afd980